﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Chess.Test
{
    class Board
    {
        private const int BoardSize = 8;
        private readonly Pawn[,] _pieces = new Pawn[BoardSize, BoardSize];

        public void AddPiece(Pawn pawn, BoardCoordinate coordinate)
        {
            if (!coordinate.IsValidCoordinateForBoardSize(BoardSize))
                throw new ArgumentOutOfRangeException("BoardCoordinate");

            _pieces[coordinate.X, coordinate.Y] = pawn;    
        }

        public Pawn GetPiece(BoardCoordinate coordinate)
        {
            return _pieces[coordinate.X, coordinate.Y];
        }
    }
}
